Whatever happened to hardware accelerated encryption? Did it never become a thing?
ChaCha20 for symmetric encryption, authenticated with Poly1305, using RFC7539's AEAD construction Curve25519 for ECDH BLAKE2s for hashing and keyed hashing, described in RFC7693 SipHash24 for hashtable keys HKDF for key derivation, as described in RFC5869
- https://patchwork.kernel.org/project/linux-crypto/cover/2018...
- https://patchwork.kernel.org/project/linux-crypto/patch/2018...
- https://patchwork.kernel.org/project/linux-crypto/patch/2019...